UHTS(4)

NAME
uhts - USB HID touchscreen support

SYNOPSIS
uhts* at uhidev?
wsmouse* at uhts? mux 0

DESCRIPTION
The uhts driver provides support for USB Human Interface Device touchscreens. Access to the touchscreen is provided through the wscons(4) framework.

Touching the screen will emulate mouse button 0 being pressed.

The touchscreen sensor is poorly aligned, therefore xtsscale(1) should be used to provide calibration results to the uhts driver.

The uhts driver works with the following touchscreens and panels:

-   Iyama ProLite T1530SR-B2
-   Iyama ProLite T1730SR-B2

SEE ALSO
xtsscale(1), uhub(4), usb(4), wscons(4), wsmouse(4)

HISTORY
The uhts driver first appeared in OpenBSD 4.7.

AUTHORS
-nosplit The uhts driver was written by Robert Nagy and Matthieu Herrb.